Subject: bug#1305: All code that currently beeps should use visual bell instead

From: Lars Ingebrigtsen <[email-masked]>
Date: Sun, 25 Apr 2021 20:12:58 +0200

Stefan Monnier <[email-masked]> writes:

>> I would be in favour of fixing this by adding one or more new variables
>> with reasonable semantics.  For example, why not have a variable called
>> `alarm-bell' with these valid values:
>>
>>     - a function    call this function
>>     - `visual'      Use a visual bell
>>     - t             Ring the bell
>>     - nil           Do nothing
>
> Agreed, except I suggest to use slightly different names: `visual` becomes
> `ring-bell-visual`, `t` becomes `ring-bell-beep`, `nil` becomes `ignore` and
> `alarm-bell` becomes `ring-bell-function`.

So just use function names instead of symbols?  I think, in general,
it's nice to have things like nil/t in variables like this -- it's
easier for users to deal with.

Anyway, I agree that cleaning up this area by introducing a new variable
and obsoleting the slightly confusing current state of affairs would be
nice.  

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no